unit OblongRegister;

interface

procedure Register;

implementation

uses
  Classes, DesignIntf, Controls,
  OblongTemperature, OblongButton, OblongRightEdit, OblongShadingLabel,
  OblongHelpFileProperty, OblongDateProperty, OblongKelvinProperty;

procedure Register;
begin
  RegisterComponents('Oblong',
    [TTemperature, TMultiLineButton, TRightEdit, TShadingLabel]);
  RegisterPropertyInCategory('Temperature', 'Celsius');
  RegisterPropertyInCategory('Temperature', 'Centigrade');
  RegisterPropertyInCategory('Temperature', 'Delisle');
  RegisterPropertyInCategory('Temperature', 'Fahrenheit');
  RegisterPropertyInCategory('Temperature', 'kelvin');
  RegisterPropertyInCategory('Temperature', 'Newton');
  RegisterPropertyInCategory('Temperature', 'Rankine');
  RegisterPropertyInCategory('Temperature', 'Reaumur');
  RegisterPropertyInCategory('Temperature', 'Romer');
  RegisterPropertyInCategory('Miscellaneous', 'MultiLine');
  RegisterPropertyEditor(
    TypeInfo(String), TComponent, 'HelpFile', THelpFileProperty);
  RegisterPropertyEditor(
    TypeInfo(TDate), TComponent, 'Date', TDateProperty);
  RegisterPropertyEditor(
    TypeInfo(Double), TTemperature, 'kelvin', TKelvinProperty);
end;

end.
